Bug 1730890 - [abrt] kdiff3: qGetPtrHelper<QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> > >(): kdiff3 killed by SIGSEGV
Summary: [abrt] kdiff3: qGetPtrHelper<QScopedPointer<QObjectData, QScopedPointerDelete...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdiff3
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:044c3880268d8fa0c2671ee7c3b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 19:49 UTC by Ferry Huberts
Modified: 2020-01-30 23:30 UTC (History)
2 users (show)

Fixed In Version: kdiff3-1.8.1-4.fc30 kdiff3-1.8.1-4.fc31 kdiff3-1.8.1-4.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-24 18:50:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 407745 'NOR' 'UNCONFIRMED' 'kdiff3 1.8.1 crash on comparing directories, segmentation fault.' 2019-12-05 07:35:28 UTC

Description Ferry Huberts 2019-07-17 19:49:49 UTC
Description of problem:
I double-clicked a file in kdiff3 to make it show the diff

Version-Release number of selected component:
kdiff3-1.8.1-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        kdiff3 c5 f30
crash_function: qGetPtrHelper<QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> > >
executable:     /usr/bin/kdiff3
journald_cursor: s=83ebec376be147f2a77b024a22731e20;i=961bb;b=045183fa632340cc86e0eb000ee5e1c6;m=e214d2597;t=58de53e0ad5c2;x=63de5d836d2c38d7
kernel:         5.1.17-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 qGetPtrHelper<QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> > > at kernel/qaction.cpp:1021
 #1 QAction::d_func at kernel/qaction.h:63
 #2 QAction::setEnabled at kernel/qaction.cpp:1022
 #3 MergeResultWindow::slotUpdateAvailabilities at /usr/src/debug/kdiff3-1.8.1-1.fc30.x86_64/src/mergeresultwindow.cpp:183
 #4 KDiff3App::slotUpdateAvailabilities at /usr/src/debug/kdiff3-1.8.1-1.fc30.x86_64/src/pdiff.cpp:2456
 #5 QtPrivate::QSlotObjectBase::call at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
 #6 QMetaObject::activate at kernel/qobject.cpp:3781
 #7 QWidget::event at kernel/qwidget.cpp:9067
 #8 QFrame::event at widgets/qframe.cpp:550
 #9 QAbstractScrollArea::event at widgets/qabstractscrollarea.cpp:1168

Comment 1 Vasiliy Glazov 2019-12-05 07:35:29 UTC
Bug in upstrream.

Comment 2 Ferry Huberts 2020-01-09 16:43:56 UTC
can this package please be reverted back to when it worked ok?
or get a fix in please?

this is killing my git workflow every day :-(

Comment 3 Vasiliy Glazov 2020-01-09 17:18:53 UTC
I will build with patch.
Test it please.

Comment 4 Fedora Update System 2020-01-11 01:25:00 UTC
kdiff3-1.8.1-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-556f176eea

Comment 5 Fedora Update System 2020-01-11 01:38:50 UTC
kdiff3-1.8.1-3.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e6b9098b5c

Comment 6 Fedora Update System 2020-01-11 01:48:42 UTC
kdiff3-1.8.1-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c4dc94aa2d

Comment 7 Ferry Huberts 2020-01-11 10:33:34 UTC
sorry, not fixed.
Installed 1.8.1-3.fc31 from updates testing, still crashes

Comment 8 Vasiliy Glazov 2020-01-11 10:37:48 UTC
Please inform upstream about that.
Nex buld will be from master branch.

Comment 9 Ferry Huberts 2020-01-11 10:40:03 UTC
I have no contact with upstream.

Crashes on Wayland and X.

Comment 10 Vasiliy Glazov 2020-01-13 07:57:08 UTC
Can you give me simple steps to reproduce crash?

Comment 11 Ferry Huberts 2020-01-13 17:34:02 UTC
I did.

do a directory diff with kdiff3 and then double click a file to make it show the diff.

For example:
  kdiff3 dir1 dir2 &
  <double click a file with differences>

Comment 12 Fedora Update System 2020-01-15 00:50:09 UTC
kdiff3-1.8.1-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-15d00d4dab

Comment 13 Fedora Update System 2020-01-15 01:08:34 UTC
kdiff3-1.8.1-4.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-be568a097a

Comment 14 Fedora Update System 2020-01-16 19:50:55 UTC
kdiff3-1.8.1-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fca310369e

Comment 15 Fedora Update System 2020-01-24 18:50:48 UTC
kdiff3-1.8.1-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-01-25 06:34:24 UTC
kdiff3-1.8.1-4.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-01-30 23:30:08 UTC
kdiff3-1.8.1-4.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.